package front

type GetWxAuthUrlRequest struct {
	PayChannelId string `json:"pay_channel_id" form:"pay_channel_id" validate:"required"`
}

type GetWxAuthRequest struct {
	Code  string `json:"code" form:"code" `
	State string `json:"state" form:"state"`
}

// 获取微信用户信息
type GetWxAuthResponse struct {
	AccessToken    string `json:"access_token"`  //网页授权接口调用凭证,注意：此access_token与基础支持的access_token不同
	ExpiresIn      int    `json:"expires_in"`    //access_token接口调用凭证超时时间，单位（秒）
	RefreshToken   string `json:"refresh_token"` //用户刷新access_token
	Openid         string `json:"openid"`        //用户唯一标识，请注意，在未关注公众号时，用户访问公众号的网页，也会产生一个用户和公众号唯一的OpenID
	Scope          string `json:"scope"`         //用户授权的作用域，使用逗号（,）分隔
	IsSnapshotuser int    `json:"is_snapshotuser"`
	Unionid        string `json:"unionid"` // 用户统一标识（针对一个微信开放平台账号下的应用，同一用户的 unionid 是唯一的），只有当scope为"snsapi_userinfo"时返回
}
